Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -7820,10 +13916,227 @@
    33.8    ReleaseButtonToUseDial               int8u & 0x01
 
+=head3 NikonCustom SettingsD800 Tags
+
+Custom settings for the D800 and D800E.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+   12.1    AutoBracketingSet                    int8u & 0xe0
+   12.2    AutoBracketOrder                     int8u & 0x10
+   12.3    AutoBracketingMode                   int8u & 0x0c
+   22.1    FlashSyncSpeed                       int8u & 0xf0
+   22.2    FlashShutterSpeed                    int8u & 0x0f
+   23.1    FlashControlBuilt-in                 int8u & 0xc0
+   23.2    ManualFlashOutput                    int8u & 0x1f
+   24.1    RepeatingFlashOutput                 int8u & 0x70
+   24.2    RepeatingFlashCount                  int8u & 0x0f
+   25.1    RepeatingFlashRate                   int8u & 0xf0
+   25.2    CommanderChannel                     int8u & 0x03
+   27.1    CommanderInternalFlash               int8u & 0xc0
+   27.2    CommanderInternalManualOutput        int8u & 0x1f
+   28.1    CommanderGroupAMode                  int8u & 0xc0
+   28.2    CommanderGroupAManualOutput          int8u & 0x1f
+   29.1    CommanderGroupBMode                  int8u & 0xc0
+   29.2    CommanderGroupBManualOutput          int8u & 0x1f
+   30.1    ModelingFlash                        int8u & 0x20
+   30.2    CommanderInternalTTLComp             int8u & 0x1f
+   31.1    CommanderGroupA_TTL-AAComp           int8u & 0x1f
+   32.1    CommanderGroupB_TTL-AAComp           int8u & 0x1f
+
+=head3 NikonCustom SettingsD810 Tags
+
+Custom settings for the D810.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+    0.1    LightSwitch                          int8u & 0x08
+    0.2    CustomSettingsBank                   int8u & 0x03
+    1.1    AF-CPrioritySelection                int8u & 0xc0
+    1.2    AF-SPrioritySelection                int8u & 0x20
+    1.3    AFPointSelection                     int8u & 0x10
+    1.4    FocusTrackingLockOn                  int8u & 0x07
+    2.1    AFActivation                         int8u & 0x80
+    2.2    FocusPointWrap                       int8u & 0x08
+    2.3    AFPointBrightness                    int8u & 0x06
+    2.4    AFAssist                             int8u & 0x01
+    3.1    BatteryOrder                         int8u & 0x40
+    3.2    MB-D12BatteryType                    int8u & 0x03
+    4.1    Pitch                                int8u & 0x40
+    4.2    NoMemoryCard                         int8u & 0x20
+    4.3    ISODisplay                           int8u & 0x0c
+    4.4    GridDisplay                          int8u & 0x02
+    5.1    ShootingInfoDisplay                  int8u & 0xc0
+    5.2    LCDIllumination                      int8u & 0x20
+    5.3    ElectronicFront-CurtainShutter       int8u & 0x08
+    5.4    ScreenTips                           int8u & 0x04
+    5.5    Beep                                 int8u & 0x03
+    6.1    ReverseIndicators                    int8u & 0x80
+    6.2    CommandDialsReverseRotation          int8u & 0x18
+    6.3    EasyExposureCompensation             int8u & 0x03
+    7.1    ExposureControlStepSize              int8u & 0xc0
+    7.2    ISOStepSize                          int8u & 0x30
+    7.3    ExposureCompStepSize                 int8u & 0x0c
+    8.1    CenterWeightedAreaSize               int8u & 0xe0
+    8.2    FineTuneOptMatrixMetering            int8u & 0x0f
+    9.1    FineTuneOptCenterWeighted            int8u & 0xf0
+    9.2    FineTuneOptSpotMetering              int8u & 0x0f
+   10.1    MultiSelectorShootMode               int8u & 0xc0
+   10.2    MultiSelectorPlaybackMode            int8u & 0x30
+   10.3    MultiSelector                        int8u & 0x01
+   11.1    ExposureDelayMode                    int8u & 0xc0
+   11.2    CLModeShootingSpeed                  int8u & 0x0f
+   12.1    MaxContinuousRelease                 int8u
+   13.1    AutoBracketSet                       int8u & 0xe0
+   13.2    AutoBracketOrder                     int8u & 0x10
+   13.3    AutoBracketModeM                     int8u & 0x0c
+   14.1    FuncButton                           int8u & 0x1f
+   15.1    PreviewButton                        int8u & 0x1f
+   16.1    AssignBktButton                      int8u & 0x07
+   17.1    AELockButton                         int8u & 0x1f
+   18.1    CommandDialsChangeMainSub            int8u & 0xe0
+   18.2    CommandDialsMenuAndPlayback          int8u & 0x18
+   18.3    CommandDialsApertureSetting          int8u & 0x04
+   18.4    ShutterReleaseButtonAE-L             int8u & 0x02
+   18.5    ReleaseButtonToUseDial               int8u & 0x01
+   19.1    StandbyTimer                         int8u & 0xf0
+   20.1    SelfTimerTime                        int8u & 0xc0
+   20.2    SelfTimerShotInterval                int8u & 0x30
+   20.3    SelfTimerShotCount                   int8u & 0x0f
+   21.1    ImageReviewMonitorOffTime            int8u & 0xe0
+   21.2    LiveViewMonitorOffTime               int8u & 0x1c
+   22.1    MenuMonitorOffTime                   int8u & 0xe0
+   22.2    ShootingInfoMonitorOffTime           int8u & 0x1c
+   23.1    FlashSyncSpeed                       int8u & 0xf0
+   23.2    FlashShutterSpeed                    int8u & 0x0f
+   24.1    FlashControlBuilt-in                 int8u & 0xc0
+   31.1    ModelingFlash                        int8u & 0x20
+   36.1    PlaybackMonitorOffTime               int8u & 0xe0
+   37.1    MultiSelectorLiveView                int8u & 0xc0
+   38.1    ShutterSpeedLock                     int8u & 0x80
+   38.2    ApertureLock                         int8u & 0x40
+   38.3    MovieShutterButton                   int8u & 0x20
+   38.4    FlashExposureCompArea                int8u & 0x04
+   40.1    MovieAELockButtonAssignment          int8u & 0x0f
+   41.1    MovieFunctionButton                  int8u & 0x70
+   41.2    MoviePreviewButton                   int8u & 0x07
+   42.1    FuncButtonPlusDials                  int8u & 0x0f
+   43.1    PreviewButtonPlusDials               int8u & 0x0f
+   44.1    AELockButtonPlusDials                int8u & 0x0f
+   45.1    AssignMovieRecordButton              int8u & 0x0f
+   46.1    FineTuneOptHighlightWeighted         int8u & 0x0f
+   47.1    DynamicAreaAFDisplay                 int8u & 0x80
+   47.2    AFPointIllumination                  int8u & 0x40
+   47.3    StoreByOrientation                   int8u & 0x18
+   47.4    GroupAreaAFIllumination              int8u & 0x04
+   48.1    MatrixMetering                       int8u & 0x80
+   48.2    LiveViewButtonOptions                int8u & 0x30
+   48.3    AFModeRestrictions                   int8u & 0x03
+   49.1    LimitAFAreaModeSelection             int8u & 0x7e
+   50.1    AF-OnForMB-D12                       int8u & 0x07
+   51.1    AssignRemoteFnButton                 int8u & 0x1f
+   52.1    LensFocusFunctionButtons             int8u & 0x3f
+
+=head3 NikonCustom SettingsD850 Tags
+
+Custom settings for the D850.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+    0.2    CustomSettingsBank                   int8u & 0x03
+    1.1    AF-CPrioritySelection                int8u & 0xc0
+    1.2    AF-SPrioritySelection                int8u & 0x20
+    1.3    AFPointSelection                     int8u & 0x10
+    1.4    Three-DTrackingFaceDetection         int8u & 0x08
+    1.5    BlockShotAFResponse                  int8u & 0x07
+    2.1    FocusPointWrap                       int8u & 0x08
+    2.2    AFPointBrightness                    int8u & 0x06
+    4.1    ISODisplay                           int8u & 0x08
+    4.2    GridDisplay                          int8u & 0x02
+    5.1    LCDIllumination                      int8u & 0x20
+    5.2    ElectronicFront-CurtainShutter       int8u & 0x08
+    6.1    ReverseIndicators                    int8u & 0x80
+    6.2    CommandDialsReverseRotation          int8u & 0x18
+    6.3    EasyExposureCompensation             int8u & 0x03
+    7.1    ExposureControlStepSize              int8u & 0xc0
+    7.2    ISOStepSize                          int8u & 0x30
+    7.3    ExposureCompStepSize                 int8u & 0x0c
+    8.1    CenterWeightedAreaSize               int8u & 0xe0
+    8.2    FineTuneOptMatrixMetering            int8u & 0x0f
+    9.1    FineTuneOptCenterWeighted            int8u & 0xf0
+    9.2    FineTuneOptSpotMetering              int8u & 0x0f
+   10.1    MultiSelectorShootMode               int8u & 0xe0
+   10.2    MultiSelectorPlaybackMode            int8u & 0x0c
+   10.3    MultiSelector                        int8u & 0x01
+   11.1    ExposureDelayMode                    int8u & 0xe0
+   11.2    CLModeShootingSpeed                  int8u & 0x0f
+   12.1    MaxContinuousRelease                 int8u
+   13.1    AutoBracketOrder                     int8u & 0x10
+   13.2    AutoBracketModeM                     int8u & 0x0c
+   14.1    Func1Button                          int8u & 0x3f
+   15.1    PreviewButton                        int8u & 0x3f
+   16.1    AssignBktButton                      int8u & 0x07
+   18.1    CommandDialsChangeMainSub            int8u & 0xe0
+   18.2    CommandDialsMenuAndPlayback          int8u & 0x18
+   18.3    CommandDialsApertureSetting          int8u & 0x04
+   18.4    ReleaseButtonToUseDial               int8u & 0x01
+   19.1    StandbyTimer                         int8u & 0xf0
+   20.1    SelfTimerTime                        int8u & 0xc0
+   20.2    SelfTimerShotInterval                int8u & 0x30
+   20.3    SelfTimerShotCount                   int8u & 0x0f
+   21.1    ImageReviewMonitorOffTime            int8u & 0xe0
+   21.2    LiveViewMonitorOffTime               int8u & 0x1c
+   22.1    MenuMonitorOffTime                   int8u & 0xe0
+   22.2    ShootingInfoMonitorOffTime           int8u & 0x1c
+   23.1    FlashSyncSpeed                       int8u & 0xf0
+   23.2    FlashShutterSpeed                    int8u & 0x0f
+   31.1    ModelingFlash                        int8u & 0x20
+   36.1    PlaybackMonitorOffTime               int8u & 0xe0
+   37.1    MultiSelectorLiveView                int8u & 0xc0
+   38.1    ShutterSpeedLock                     int8u & 0x80
+   38.2    ApertureLock                         int8u & 0x40
+   38.3    MovieShutterButton                   int8u & 0x10
+   38.4    FlashExposureCompArea                int8u & 0x04
+   38.5    AutoFlashISOSensitivity              int8u & 0x02
+   41.1    MovieFunc1Button                     int8u & 0xf0
+   41.2    MoviePreviewButton                   int8u & 0x0f
+   42.1    Func1ButtonPlusDials                 int8u & 0x0f
+   43.1    PreviewButtonPlusDials               int8u & 0x0f
+   45.1    AssignMovieRecordButtonPlusDials     int8u & 0x0f
+   46.1    FineTuneOptHighlightWeighted         int8u & 0x0f
+   47.1    DynamicAreaAFDisplay                 int8u & 0x80
+   47.2    AFPointIllumination                  int8u & 0x40
+   47.3    StoreByOrientation                   int8u & 0x18
+   48.1    MatrixMetering                       int8u & 0x80
+   48.2    LiveViewButtonOptions                int8u & 0x30
+   48.3    AFModeRestrictions                   int8u & 0x03
+   49.1    LimitAFAreaModeSelection             int8u & 0x7e
+   52.1    LensFocusFunctionButtons             int8u & 0x3f
+   66.1    VerticalMultiSelector                int8u & 0xff
+   67.1    AssignMB-D18FuncButton               int8u & 0x3f
+   68.1    AssignMB-D18FuncButtonPlusDials      int8u & 0x0f
+   70.1    AF-OnButton                          int8u & 0x3f
+   71.1    SubSelector                          int8u & 0x80
+   72.1    SubSelectorCenter                    int8u & 0x3f
+   73.1    SubSelectorPlusDials                 int8u & 0x0f
+   74.1    AssignMovieSubselector               int8u & 0xf0
+   75.1    AssignMovieFunc1ButtonPlusDials      int8u & 0x10
+   75.2    AssignMoviePreviewButtonPlusDials    int8u & 0x01
+   76.1    AssignMovieSubselectorPlusDials      int8u & 0x10
+   77.1    SyncReleaseMode                      int8u & 0x80
+   77.2    ContinuousModeLiveView               int8u & 0x40
+   78.1    Three-DTrackingWatchArea             int8u & 0x80
+   78.2    SubjectMotion                        int8u & 0x60
+   78.3    AFActivation                         int8u & 0x08
+   78.4    ShutterReleaseButtonAE-L             int8u & 0x03
+   79.1    AssignMB-D18AF-OnButton              int8u & 0x7f
+   80.1    Func2Button                          int8u & 0x3f
+   82.1    AssignMovieFunc2Button               int8u & 0x70
+
 =head3 NikonCustom SettingsD5000 Tags
 
 Custom settings for the D5000.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
     0.1    AFAreaModeSetting                    int8u & 0x60
     0.2    AFAssist                             int8u & 0x01
@@ -7853,17 +14166,80 @@
    32.1    LiveViewAF                           int8u & 0x60
 
+=head3 NikonCustom SettingsD5100 Tags
+
+Custom settings for the D5100.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+    0.1    AF-CPrioritySelection                int8u & 0x80
+    1.1    AFAssist                             int8u & 0x01
+    3.1    Beep                                 int8u & 0xc0
+    3.2    NoMemoryCard                         int8u & 0x20
+    3.3    ISODisplay                           int8u & 0x08
+    4.1    FileNumberSequence                   int8u & 0x08
+    5.1    RangeFinder                          int8u & 0x10
+    5.2    ReverseIndicators                    int8u & 0x80
+    6.1    EVStepSize                           int8u & 0x40
+   10.1    ExposureDelayMode                    int8u & 0x40
+   12.1    AutoBracketSet                       int8u & 0xc0
+   13.1    TimerFunctionButton                  int8u & 0x38
+   16.1    AELockButton                         int8u & 0x38
+   17.1    ShutterReleaseButtonAE-L             int8u & 0x02
+   17.2    CommandDialsReverseRotation          int8u & 0x80
+   18.1    MeteringTime                         int8u & 0x70
+   18.2    RemoteOnDuration                     int8u & 0x03
+   19.1    SelfTimerTime                        int8u & 0xc0
+   19.2    SelfTimerShotCount                   int8u & 0x0f
+   20.1    ImageReviewTime                      int8u & 0xe0
+   20.2    LiveViewMonitorOffTime               int8u & 0x1c
+   21.1    PlaybackMenusTime                    int8u & 0xe0
+   23.1    ManualFlashOutput                    int8u & 0x1f
+
+=head3 NikonCustom SettingsD5200 Tags
+
+Custom settings for the D5200.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+    0.1    AF-CPrioritySelection                int8u & 0x80
+    0.2    NumberOfFocusPoints                  int8u & 0x10
+    1.1    AFAssist                             int8u & 0x01
+    3.1    Beep                                 int8u & 0xc0
+    3.2    NoMemoryCard                         int8u & 0x20
+    3.3    ISODisplay                           int8u & 0x08
+    4.1    FileNumberSequence                   int8u & 0x08
+    5.1    RangeFinder                          int8u & 0x04
+    5.2    ReverseExposureCompDial              int8u & 0x10
+    5.3    ReverseShutterSpeedAperture          int8u & 0x08
+    5.4    ReverseIndicators                    int8u & 0x80
+    6.1    EVStepSize                           int8u & 0x40
+   10.1    ExposureDelayMode                    int8u & 0x40
+   12.1    AutoBracketSet                       int8u & 0xc0
+   13.1    FunctionButton                       int8u & 0x1f
+   16.1    AELockButton                         int8u & 0x0f
+   17.1    ShutterReleaseButtonAE-L             int8u & 0x02
+   18.1    StandbyTimer                         int8u & 0xe0
+   18.2    RemoteOnDuration                     int8u & 0x03
+   19.1    SelfTimerTime                        int8u & 0xc0
+   19.2    SelfTimerShotCount                   int8u & 0x0f
+   20.1    ImageReviewTime                      int8u & 0xe0
+   20.2    LiveViewMonitorOffTime               int8u & 0x1c
+   21.1    PlaybackMenusTime                    int8u & 0xe0
+   23.1    InternalFlash                        int8u & 0xc0
+   23.2    ManualFlashOutput                    int8u & 0x1f
+
 =head3 NikonCustom SettingsD7000 Tags
 
 Custom settings for the D7000.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
     0.1    AF-CPrioritySelection                int8u & 0x80
     0.2    AF-SPrioritySelection                int8u & 0x20
     0.3    NumberOfFocusPoints                  int8u & 0x10
     0.4    FocusTrackingLockOn                  int8u & 0x07
-    1.2    FocusPointWrap                       int8u & 0x08
-    1.3    AFPointIllumination                  int8u & 0x06
-    1.4    AFAssist                             int8u & 0x01
+    1.1    FocusPointWrap                       int8u & 0x08
+    1.2    AFPointIllumination                  int8u & 0x06
+    1.3    AFAssist                             int8u & 0x01
     2.1    BatteryOrder                         int8u & 0x40
     2.2    AF-OnForMB-D11                       int8u & 0x1c
